Package org.eclipse.lemminx.extensions.relaxng.jing

## Class SchemaProvider

- java.lang.Object
- - org.eclipse.lemminx.extensions.relaxng.jing.SchemaProvider

    public class SchemaProvider
    extends Object

RelaxNG schema provider.

Author:
  Angelo ZERR

### Method Summary

All Methods Static Methods Concrete Methods
`static com.thaiopensource.validate.Schema` `getSchema​(String systemId, String baseSystemId, org.apache.xerces.xni.parser.XMLEntityResolver entityResolver, org.apache.xerces.impl.XMLErrorReporter errorReporter, org.apache.xerces.xni.grammars.XMLGrammarPool pool)`
`static com.thaiopensource.validate.Schema` `loadSchema​(RelaxNGDescription description, org.apache.xerces.xni.parser.XMLEntityResolver entityResolver, org.apache.xerces.impl.XMLErrorReporter errorReporter, com.thaiopensource.relaxng.pattern.SchemaPatternBuilder schemaPatternBuilder)`
`static com.thaiopensource.validate.Schema` `loadSchema​(InputSource input, org.apache.xerces.xni.parser.XMLEntityResolver entityResolver, org.apache.xerces.impl.XMLErrorReporter errorReporter, com.thaiopensource.relaxng.pattern.SchemaPatternBuilder schemaPatternBuilder, com.thaiopensource.xml.sax.XMLReaderCreator xmlReaderCreator)`
`static void` `validate​(com.thaiopensource.validate.Schema schema, XMLReader xr, org.apache.xerces.impl.XMLErrorReporter errorReporter)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getSchema

    public static com.thaiopensource.validate.Schema getSchema​(String systemId,
                                                               String baseSystemId,
                                                               org.apache.xerces.xni.parser.XMLEntityResolver entityResolver,
                                                               org.apache.xerces.impl.XMLErrorReporter errorReporter,
                                                               org.apache.xerces.xni.grammars.XMLGrammarPool pool)
                                                        throws org.apache.xerces.xni.XNIException,
                                                               IOException,
                                                               SAXException,
                                                               com.thaiopensource.validate.IncorrectSchemaException

Throws:
  `org.apache.xerces.xni.XNIException`
  `IOException`
  `SAXException`
  `com.thaiopensource.validate.IncorrectSchemaException`

#### loadSchema

    public static com.thaiopensource.validate.Schema loadSchema​(RelaxNGDescription description,
                                                                org.apache.xerces.xni.parser.XMLEntityResolver entityResolver,
                                                                org.apache.xerces.impl.XMLErrorReporter errorReporter,
                                                                com.thaiopensource.relaxng.pattern.SchemaPatternBuilder schemaPatternBuilder)
                                                         throws org.apache.xerces.util.URI.MalformedURIException,
                                                                IOException,
                                                                SAXException,
                                                                com.thaiopensource.validate.IncorrectSchemaException

Throws:
  `org.apache.xerces.util.URI.MalformedURIException`
  `IOException`
  `SAXException`
  `com.thaiopensource.validate.IncorrectSchemaException`

#### loadSchema

    public static com.thaiopensource.validate.Schema loadSchema​(InputSource input,
                                                                org.apache.xerces.xni.parser.XMLEntityResolver entityResolver,
                                                                org.apache.xerces.impl.XMLErrorReporter errorReporter,
                                                                com.thaiopensource.relaxng.pattern.SchemaPatternBuilder schemaPatternBuilder,
                                                                com.thaiopensource.xml.sax.XMLReaderCreator xmlReaderCreator)
                                                         throws IOException,
                                                                SAXException,
                                                                com.thaiopensource.validate.IncorrectSchemaException

Throws:
  `IOException`
  `SAXException`
  `com.thaiopensource.validate.IncorrectSchemaException`

#### validate

    public static void validate​(com.thaiopensource.validate.Schema schema,
                                XMLReader xr,
                                org.apache.xerces.impl.XMLErrorReporter errorReporter)